 /**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * @author       R. Buyya and M. Murshed (by surname)
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;

/**
 * GridSim Macro Variables
 */
public class GridSimTags {
  public static final double SCHEDULE_NOW = 0.0;  // 0.0 indicates NO delay
  public static final int END_OF_SIMULATION = -1;
  public static final int INSIGNIFICANT = 0; // tag will not be used for identification purpose
  public static final int EXPERIMENT = 1; // User <-> Broker
  public static final int REGISTER_RESOURCE = 2; // GridInformationService -> ResourceEntity
  public static final int RESOURCE_LIST = 3; // GridInformationService <-> Broker
  public static final int RESOURCE_CHARACTERISTICS = 4; // Broker <-> ResourceEntity
  public static final int RESOURCE_DYNAMICS = 5; // Broker <-> ResourceEntity
  public static final int GRIDLET_SUBMIT = 6; // Broker -> ResourceEntity
  public static final int GRIDLET_RETURN = 7; // Broker <- ResourceEntity
  public static final int GRIDLET_STATUS = 8; // Broker <-> ResourceEntity
  public static final int RECORD_STATISTICS = 9; // Entity -> GridStatistics
  public static final int RETURN_STAT_LIST = 10; // Entity <- GridStatistics
  public static final int RETURN_ACC_STATISTICS_BY_CATEGORY = 11; // Entity <- GridStatistics
  public static final int DEFAULF_BAUD_RATE = 9600; // Default Baud Rate for Some GridSim Entities
}

