/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * @author       R. Buyya and M. Murshed (by surname)
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;
import java.util.*;

/**
 * A Gridlet Linked List to enable ordering of Gridlets.
 */
public class GridletList extends LinkedList
{
  public GridletList()
  {
    super();
  }

  public void sort()
  {
    Collections.sort(this, new OrderLength());
  }

  class OrderLength implements Comparator
  {
    public OrderLength() {
      super();
    }
    public int compare(Object a, Object b)
    {
      Double jla = new Double(((Gridlet) a).GetGridletLength());
      Double jlb = new Double(((Gridlet) b).GetGridletLength());
      return jla.compareTo(jlb);
    }
  }
}