/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * @author       R. Buyya and M. Murshed (by surname)
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;

import java.util.*;
import java.io.*;
import eduni.simjava.*;


/**
 * A list of machines that can become a grid resource.,
 */
public class MachineList extends LinkedList {
  public MachineList() {
    super();
  }

  public Machine GetMachine(int id){
    for(int i = 0; i < this.size(); i++) {
      Machine m = (Machine) this.get(i);
      if(m.GetID() == id)
        return m;
    }
    return null; // no machine with given id
  }

  public int GetNoOfPEs() {
    int n = 0;
    for(int i = 0; i < this.size(); i++) {
      Machine m = (Machine) this.get(i);
      n += m.GetPEs().size();
    }
    return n;
  }

  public int ByteSize() {
    int bSize = 0;
    for(int i = 0; i < this.size(); i++) {
      Machine m = (Machine) get(i);
      bSize += m.ByteSize();
    }
    return bSize;
  }
}
