/**
 * Title:        GridSim Toolkit
 * Version:      GridSim  1.0, 12/09/2001
 * Description:  GridSim (Grid Simulation) Toolkit for Modeling and Simulation of
 *               Parallel and Distributed Systems such as Clusters and Grids
 * Authors:      Manzur Murshed and Rajkumar Buyya
 *               Monash University, Melbourne, Australia
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

package gridsim;

import java.util.*;
import java.io.*;
import eduni.simjava.*;

/**
 * Classes related to GridSim Statistics
 */
public class Stat
{
  private double time;
  private String category;
  private String name;
  private String data;

  public Stat(double time, String category, String name, String data) {
    this.time = time;
    this.category = category;
    this.name = name;
    this.data = data;
  }
  public Stat(double time, String category, String name, int data) {
    this.time = time;
    this.category = category;
    this.name = name;
    this.data = ""+data;
  }
  public Stat(double time, String category, String name, double data) {
    this.time = time;
    this.category = category;
    this.name = name;
    this.data = ""+data;
  }
  public Stat(double time, String category, String name, boolean data) {
    this.time = time;
    this.category = category;
    this.name = name;
    this.data = ""+data;
  }

  public double get_time() {
    return time;
  }

  public String get_category() {
    return category;
  }

  public String get_name() {
    return name;
  }

  public String get_data() {
    return data;
  }

  public String toString() {
    return ""+time+"\t"+category+"\t"+name+"\t"+data;
  }
}

